Subject: [Webpush] optional receipts?

From: Paul Em <[email-masked]>
Date: Thu, 23 Jul 2015 14:06:10 +0200

I am currently writing my master thesis about how to map the protocol to
existing push services with a relay server and the biggest problem that
comes up is that existing services mostly don't have anything like receipts
implemented.

I think if we want to see the protocol being implemented earlier we should
change receipts from MUST to SHOULD.
Does this makes sense or do you see receipts as a critical part of the
protocol? I see how this could break the process with acknowleding the
messages. Would there maybe be better solutions for that, like indicating
with a header field that the push service does not support this?

Paul